// Core imports
import { Component, DebugElement } from '@angular/core';

// Application imports
import { PasswordToggleDirective } from '@app/auth/_directives/password-toggle.directive';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { By } from '@angular/platform-browser';

@Component({
  template: ` <div>
    <input type="password" id="password" />
    <span id="icon" class="fa fa-eye" appPasswordToggle [id]="'password'" [iconId]="'icon'"></span>
  </div>`,
})
class TestComponent {}

describe('PasswordToggleDirective', () => {
  let fixture: ComponentFixture<TestComponent>;
  let des: DebugElement[];

  beforeEach(() => {
    fixture = TestBed.configureTestingModule({
      declarations: [PasswordToggleDirective, TestComponent],
    }).createComponent(TestComponent);
    fixture.detectChanges();

    des = fixture.debugElement.queryAll(By.directive(PasswordToggleDirective));
  });

  it('should have one element with menu-toggle directive', () => {
    expect(des.length).toBe(1);
  });
});
