// Core imports
import { Component, DebugElement } from '@angular/core';

// Application imports
import { MenuSelectionDirective } from '@app/shared/_directives/menu-selection.directive';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { By } from '@angular/platform-browser';

@Component({
  template: ` <div appMenuSelection>
    <div id="sidebar"></div>
    <div id="content"></div>
    <div id="sidebarCollapse"></div>
  </div>`,
})
class TestComponent {}

describe('MenuSelectionDirective', () => {
  let fixture: ComponentFixture<TestComponent>;
  let des: DebugElement[];

  beforeEach(() => {
    fixture = TestBed.configureTestingModule({
      declarations: [MenuSelectionDirective, TestComponent],
    }).createComponent(TestComponent);
    fixture.detectChanges();

    des = fixture.debugElement.queryAll(By.directive(MenuSelectionDirective));
  });

  it('should have one element with menu-selection directive', () => {
    expect(des.length).toBe(1);
  });
});
