// Application imports
import { MenuToggleDirective } from '@app/shared/_directives/menu-toggle.directive';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { Component, DebugElement } from '@angular/core';
import { By } from '@angular/platform-browser';

@Component({
  template: ` <div appMenuToggle>
    <div id="sidebar"></div>
    <div id="content"></div>
    <div id="sidebarCollapse"></div>
  </div>`,
})
class TestComponent {}

describe('MenuToggleDirective', () => {
  let fixture: ComponentFixture<TestComponent>;
  let des: DebugElement[];

  beforeEach(() => {
    fixture = TestBed.configureTestingModule({
      declarations: [MenuToggleDirective, TestComponent],
    }).createComponent(TestComponent);
    fixture.detectChanges();

    des = fixture.debugElement.queryAll(By.directive(MenuToggleDirective));
  });

  it('should have one element with menu-toggle directive', () => {
    expect(des.length).toBe(1);
  });
});
